<div id="firebaseui-auth-container"></div>
<div id="loader">Loading...</div>
Login User Email:<b id="currentUser"></b>
<script src="https://www.gstatic.com/firebasejs/ui/4.5.1/firebase-ui-auth__ja.js"></script>
<link
  type="text/css"
  rel="stylesheet"
  href="https://www.gstatic.com/firebasejs/ui/4.5.1/firebase-ui-auth.css"
/>
<script type="text/javascript">
  firebase.auth().setPersistence(firebase.auth.Auth.Persistence.LOCAL);
  firebase.auth().onAuthStateChanged(function (user) {
    if (user) {
      user
        .getIdToken(false)
        .then(function (idToken) {
          document.getElementById("currentUser").innerHTML =
            firebase.auth().currentUser.email;
          document.cookie = `__session=${idToken};max-age=3600`;
        })
        .catch(function (error) {
          document.cookie = "__session=;max-age=0";
          console.log("[ERROR]: " + error);
        });
    } else {
      document.cookie = "__session=;max-age=0";
      console.log("user is not defined");
    }
  });
</script>
<script type="text/javascript">
  // FirebaseUI config.
  var uiConfig = {
    callbacks: {
      uiShown: function () {
        document.getElementById("loader").style.display = "none";
      },
    },

    signInOptions: [
      // Leave the lines as is for the providers you want to offer your users.
      {
        provider: firebase.auth.GoogleAuthProvider.PROVIDER_ID,
        clientId:
          "267694527184-v243g9j6t34boa05st74dfkgve3b41us.apps.googleusercontent.com",
      },
    ],
    signInFlow: "popup",
    signInSuccessUrl: "/",
    tosUrl: "/tos/",
    privacyPolicyUrl: "/pp/",
  };
  // Initialize the FirebaseUI Widget using Firebase.
  var ui = new firebaseui.auth.AuthUI(firebase.auth());
  // The start method will wait until the DOM is loaded.
  ui.start("#firebaseui-auth-container", uiConfig);
  ui.disableAutoSignIn();
</script>
